Bug 1002254 - Review Request: nodejs-jasmine-growl-reporter - Growl notifications when running Jasmine tests
Review Request: nodejs-jasmine-growl-reporter - Growl notifications when runn...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews
  Show dependency treegraph
 
Reported: 2013-08-28 13:55 EDT by Jamie Nguyen
Modified: 2013-09-28 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: nodejs-gaze-0.4.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-08 08:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-08-28 13:55:54 EDT
Spec URL: http://jamielinux.fedorapeople.org/jasmine-node/nodejs-jasmine-growl-reporter.spec
SRPM URL: http://jamielinux.fedorapeople.org/jasmine-node/SRPMS/nodejs-jasmine-growl-reporter-0.0.2-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Growl notifications when running Jasmine tests.
Comment 1 Tom Hughes 2013-09-01 16:46:26 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-jasmine-growl-reporter-0.0.2-1.fc20.noarch.rpm
nodejs-jasmine-growl-reporter.noarch: W: only-non-binary-in-usr-lib
nodejs-jasmine-growl-reporter.noarch: W: dangling-symlink /usr/lib/node_modules/jasmine-growl-reporter/node_modules/growl /usr/lib/node_modules/growl
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-jasmine-growl-reporter
nodejs-jasmine-growl-reporter.noarch: W: only-non-binary-in-usr-lib
nodejs-jasmine-growl-reporter.noarch: W: dangling-symlink /usr/lib/node_modules/jasmine-growl-reporter/node_modules/growl /usr/lib/node_modules/growl
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-jasmine-growl-reporter (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(growl)



Provides
--------
nodejs-jasmine-growl-reporter:
    nodejs-jasmine-growl-reporter
    npm(jasmine-growl-reporter)



Source checksums
----------------
http://registry.npmjs.org/jasmine-growl-reporter/-/jasmine-growl-reporter-0.0.2.tgz :
  CHECKSUM(SHA256) this package     : 63ed9fd0141d71a24981fb964af79f0a6411df19038c739a8a436e486f1b4a88
  CHECKSUM(SHA256) upstream package : 63ed9fd0141d71a24981fb964af79f0a6411df19038c739a8a436e486f1b4a88


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1002254
Comment 2 Tom Hughes 2013-09-01 16:47:28 EDT
Looks good to me, so package approved.
Comment 3 Jamie Nguyen 2013-09-01 17:16:04 EDT
New Package SCM Request
=======================
Package Name: nodejs-jasmine-growl-reporter
Short Description: Growl notifications when running Jasmine tests
Owners: jamielinux patches
Branches: f18 f19 f20 el6
InitialCC:
Comment 4 Dennis Gilmore 2013-09-02 11:10:08 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-09-04 14:59:01 EDT
nodejs-jasmine-growl-reporter-0.0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-jasmine-growl-reporter-0.0.2-1.fc19
Comment 6 Fedora Update System 2013-09-04 14:59:53 EDT
nodejs-jasmine-growl-reporter-0.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-jasmine-growl-reporter-0.0.2-1.fc20
Comment 7 Fedora Update System 2013-09-04 15:00:44 EDT
nodejs-jasmine-growl-reporter-0.0.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-jasmine-growl-reporter-0.0.2-1.fc18
Comment 8 Fedora Update System 2013-09-04 15:01:08 EDT
nodejs-jasmine-growl-reporter-0.0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-jasmine-growl-reporter-0.0.2-1.el6
Comment 9 Fedora Update System 2013-09-05 02:13:34 EDT
nodejs-gaze-0.4.1-1.fc20, jasmine-node-1.11.0-1.fc20, nodejs-jasmine-growl-reporter-0.0.2-1.fc20, nodejs-globule-0.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-gaze-0.4.1-1.fc20,jasmine-node-1.11.0-1.fc20,nodejs-jasmine-growl-reporter-0.0.2-1.fc20,nodejs-globule-0.1.0-1.fc20
Comment 10 Fedora Update System 2013-09-05 02:15:26 EDT
nodejs-gaze-0.4.1-1.fc18, jasmine-node-1.11.0-1.fc18, nodejs-jasmine-growl-reporter-0.0.2-1.fc18, nodejs-globule-0.1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-gaze-0.4.1-1.fc18,jasmine-node-1.11.0-1.fc18,nodejs-jasmine-growl-reporter-0.0.2-1.fc18,nodejs-globule-0.1.0-1.fc18
Comment 11 Fedora Update System 2013-09-05 02:15:42 EDT
nodejs-gaze-0.4.1-1.fc19, jasmine-node-1.11.0-1.fc19, nodejs-jasmine-growl-reporter-0.0.2-1.fc19, nodejs-globule-0.1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-gaze-0.4.1-1.fc19,jasmine-node-1.11.0-1.fc19,nodejs-jasmine-growl-reporter-0.0.2-1.fc19,nodejs-globule-0.1.0-1.fc19
Comment 12 Fedora Update System 2013-09-05 02:16:53 EDT
nodejs-gaze-0.4.1-1.el6, jasmine-node-1.11.0-1.el6, nodejs-jasmine-growl-reporter-0.0.2-1.el6, nodejs-globule-0.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-gaze-0.4.1-1.el6,jasmine-node-1.11.0-1.el6,nodejs-jasmine-growl-reporter-0.0.2-1.el6,nodejs-globule-0.1.0-1.el6
Comment 13 Fedora Update System 2013-09-05 13:51:47 EDT
nodejs-gaze-0.4.1-1.fc20, jasmine-node-1.11.0-1.fc20, nodejs-jasmine-growl-reporter-0.0.2-1.fc20, nodejs-globule-0.1.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2013-09-28 14:40:41 EDT
nodejs-gaze-0.4.1-1.el6, jasmine-node-1.11.0-1.el6, nodejs-jasmine-growl-reporter-0.0.2-1.el6, nodejs-globule-0.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2013-09-28 21:23:53 EDT
nodejs-gaze-0.4.1-1.fc20, jasmine-node-1.11.0-1.fc20, nodejs-jasmine-growl-reporter-0.0.2-1.fc20, nodejs-globule-0.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 16 Fedora Update System 2013-09-28 21:27:32 EDT
nodejs-gaze-0.4.1-1.fc19, jasmine-node-1.11.0-1.fc19, nodejs-jasmine-growl-reporter-0.0.2-1.fc19, nodejs-globule-0.1.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-09-28 21:39:12 EDT
nodejs-gaze-0.4.1-1.fc18, jasmine-node-1.11.0-1.fc18, nodejs-jasmine-growl-reporter-0.0.2-1.fc18, nodejs-globule-0.1.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.